/* Size standarization */
$sizes: (
  zero: var(--0),
  xxxs: var(--8),
  xxs: var(--12),
  xs: var(--16),
  sm: var(--24),
  md: var(--30),
  lg: var(--32),
  xlg: var(--40),
  xxlg: var(--48),
  xxxlg: var(--64),
  xxxxlg: var(--88),
);

/*
 Definition of types and properties for margin (Stack and Inline)
*/
$margin-types: (
  m: margin,
  mt: margin-top,
  mb: margin-bottom,
  ml: margin-left,
  mr: margin-right,
);

/*
 Definition of types and properties for padding (Inset)
*/
$padding-types: (
  p: padding,
  pt: padding-top,
  pb: padding-bottom,
  pl: padding-left,
  pr: padding-right,
);

/*
  Iteration and generation classes
*/
@each $classType, $type in $margin-types {
  @each $classSize, $size in $sizes {
    .#{$classType}-#{$classSize} {
      #{$type}: #{$size};
    }
  }
}

/*
  Iteration and generation classes
*/
@each $classType, $type in $padding-types {
  @each $classSize, $size in $sizes {
    .#{$classType}-#{$classSize} {
      #{$type}: #{$size};
    }
  }
}
